;=====================================================
; MISHScript: Conversion Studio Help
;=====================================================
; Author  : Merlin (merlin@mishscript.de)
; Support : blue-elf for the Currency socket routine
;         : Coolkill for the Timezone socket routine
;         : Parabrat for writing the help texts
; Homepage: http://www.mishscript.de
; Date    : January 2004
; Revision: 4.01
; FileName: mishcsh.mrc
; Requires: mishcs3.ini
; Resource:
;    Flags: http://www.photius.com/flags/alphabetic_list.html
;           http://www.flags.net/mainindex.htm
;     Time: http://www.worldtimeserver.com/index.asp
;  Finance: http://finance.yahoo.com/m3?u
; Measures: Web search
;=====================================================
alias mishch { $iif($dialog(MishCH), dialog -ne MishCH,dialog -mdo MishCH MishCH) }
alias cs3ini { RETURN $+($shortfn($scriptdir),mishcs3.ini) }
;--------------------
; Dialog: MishCS Help
;--------------------

dialog MishCH {
  title "MISHScript Conversion Studio Help"
  size 1 1 235 135
  option dbu
  icon $icon(mishlogo.ico), 0
  tab "General", 1, 2 3 230 115
  list 10, 5 21 52 99, tab 1
  edit "", 11, 61 21 167 94, tab 1 read multi autovs vsbar
  tab "Currency", 2
  list 12, 5 21 52 99, tab 2
  edit "", 13, 61 21 167 94, tab 2 read multi autovs vsbar
  tab "Measures", 3
  list 14, 5 21 52 99, tab 3
  edit "", 15, 61 21 167 94, tab 3 read multi autovs vsbar
  tab "Time", 4
  list 16, 5 21 52 99, tab 4
  edit "", 17, 61 21 167 94, tab 4 read multi autovs vsbar
  tab "Country", 5
  list 18, 5 21 52 99, tab 5
  edit "", 19, 61 21 167 94, tab 5 read multi autovs vsbar
  tab "CharMap", 6
  list 20, 5 21 52 99, tab 6
  edit "", 21, 61 21 167 94, tab 6 read multi autovs vsbar
  tab "Timezones", 7
  list 22, 5 21 52 99, tab 7
  edit "", 23, 61 21 167 94, tab 7 read multi autovs vsbar
  button "Close", 100, 100 122 45 10, ok
}

ON *:DIALOG:MishCH:INIT:*:{
  ; Tab 1 (General Help)
  did -a $dname 10 Overview
  did -a $dname 10 How To Use Help?
  did -a $dname 10 Currency
  did -a $dname 10 Measuremnents
  did -a $dname 10 Timezones
  did -a $dname 10 Country Codes
  did -a $dname 10 Character Map
  did -a $dname 10 Contact Us
  did -a $dname 10 Credits
  did -ra $dname 11 Welcome to the Conversion Studio Help $crlf $+ $crlf $+ On this Help Dialog we would like to give you some useful information on how to use the Conversion Studio. $+ $crlf $+ Select the Tab above for the Topic of your interest, then click on the Section listed on the left side to get detailed help. $+ $crlf $+ $+ $crlf $+ We hope you enjoy our little Addon $+ $crlf $+ The MISHScript Team $+ $crlf $+ Visit our homepage at http://www.mishscript.de $+ $crlf $+ Copyright $chr(169) $+ 1999-2004 by Merlin (merlin@mishscript.de)
  did -a $dname 12 How to do it?
  did -a $dname 12 Sending Data
  did -c $dname 13 Help for Currency
  did -ra $dname 14 How To use?
  did -a $dname 14 Sending Data
  did -c $dname 15 Help for Measurement
  did -ra $dname 16 How To use?
  did -a $dname 16 Sending Data
  did -c $dname 17 Help for Timezones
  did -ra $dname 18 How To use?
  did -a $dname 18 Sending Data
  did -c $dname 19 Help for Country
  did -ra $dname 20 How to use?
  did -a $dname 20 Sending Data
  did -a $dname 20 The Buttons
  did -c $dname 21 Help for Character Map
  did -ra $dname 22 Introduction
  VAR %_tz = $readini($cs3ini,tzstd,tzstd)
  VAR %_i = 1
  WHILE (%_i <= $numtok(%_tz,44)) { did -a $dname 22 $gettok(%_tz,%_i,44) | INC %_i 1 }
  VAR %_tz = $readini($cs3ini,tzeu,tzeu)
  VAR %_i = 1
  WHILE (%_i <= $numtok(%_tz,44)) { did -a $dname 22 $gettok(%_tz,%_i,44) | INC %_i 1 }
  VAR %_tz = $readini($cs3ini,tzusca,tzusca)
  VAR %_i = 1
  WHILE (%_i <= $numtok(%_tz,44)) { did -a $dname 22 $gettok(%_tz,%_i,44) | INC %_i 1 }
  VAR %_tz = $readini($cs3ini,tzau,tzau)
  VAR %_i = 1
  WHILE (%_i <= $numtok(%_tz,44)) { did -a $dname 22 $gettok(%_tz,%_i,44) | INC %_i 1 }
  UNSET %_*
  did -c $dname 23 Introduction into Standards
  did -c $dname 11 1
}

ON *:DIALOG:MishCH:SCLICK:*:{
  IF ($did == 1) {
    did -ra $dname 11 Welcome to the Conversion Studio Help $crlf $+ $crlf $+ On this Help Dialog we would like to give you some useful information on how to use the Conversion Studio. $+ $crlf $+ Select the Tab above for the Topic of your interest, then click on the Section listed on the left side to get detailed help. $+ $crlf $+ $+ $crlf $+ We hope you enjoy our little Addon $+ $crlf $+ The MISHScript Team $+ $crlf $+ Copyright $+($chr(169),1999-2004) by Merlin $+ $crlf $+ All Rights reserved.
    did -c $dname 10,11 1
  }
  IF ($did == 2) { did -ra $dname 13 Currency Conversion Help $crlf $+ $crlf $+ Select one of the listed topics on the left to get detailed help. }
  IF ($did == 3) { did -ra $dname 15 Measurement Conversion Help $crlf $+ $crlf $+ Select one of the listed topics on the left to get detailed help. }
  IF ($did == 4) { did -ra $dname 17 Time Conversion Help $crlf $+ $crlf $+  Select one of the listed topics on the left to get detailed help.  }
  IF ($did == 5) { did -ra $dname 19 Country Code Conversion Help $crlf $+ $crlf $+ Select one of the listed topics on the left to get detailed help. }
  IF ($did == 6) { did -ra $dname 21 Character Map Conversion Help $crlf $+ $crlf $+  Select one of the listed topics on the left to get detailed help.  }
  IF ($did == 7) { 
    did -ra $dname 23 Introduction into Timezone Abbreviations $+ $crlf $+ $crlf
    did -a $dname 23 UTC (Universal Time Coordinated) defines the universal time zone, which all the other time zones are relative to. It observes no daylight saving time (summer time). UTC is sometimes adjusted with "leap seconds" so that the difference between UTC time and the Earth's rotational time does not exceed 0.9 seconds.
    did -a $dname 23 The offset between UTC and TAI (International Atomic Time) is always an integral number of seconds. The last leap second added to UTC was on December 31th 1998 at 23:59:60 UTC (the last minute of 1998 had one extra second).
    did -c $dname 22,23 1
  }
  IF ($did == 10) {
    IF ($did($dname,10).sel == 1) { did -ra $dname 11 Overview $crlf $+ $crlf $+ Basically I wrote it to have time zones handy - while searching for such a script on the Internet I found a few - but most were too complicated to handle or didn't contain what I needed. $+ $crlf $+ Another thing came up while I was thinking about making such a script: There was no script which combined all types of conversions!  $+ $crlf $+ $crlf $+ Have fun using the Conversion Studio $+ $crlf $+ Merlin, January 2004 }
    IF ($did($dname,10).sel == 2) { did -ra $dname 11 Using Help with Conversion Studio $+ $crlf $+ $crlf $+ Access the help by clicking on [Help] or by typing /cshelp $+ $crlf $+ $crlf $+ You can select topic to view by clicking on one of these tabs (General, Currency, Measures, Time, Country or CharMap). $+ $crlf $+ $crlf $+ Available Subtopics can be accessed from the left list window by clicking on one of those names. }
    IF ($did($dname,10).sel == 3) { did -ra $dname 11 Currency $crlf $+ $crlf $+ You can easily view the updated exchange rates with this option. }
    IF ($did($dname,10).sel == 4) { did -ra $dname 11 Measurements $crlf $+ $crlf $+  You can do conversion using 16 different groups of measurements. }
    IF ($did($dname,10).sel == 5) { did -ra $dname 11 Timezones $crlf $+ $crlf $+ You can retrieve timezone information of any region in the world, the result will display the actual local time of the selected country and other useful information. }
    IF ($did($dname,10).sel == 6) { did -ra $dname 11 Country Codes $crlf $+ $crlf $+ You can get the county codes of World countries as well as the state codes if available }
    IF ($did($dname,10).sel == 7) { did -ra $dname 11 Character Map $crlf $+ $crlf $+ You can view The ASCII number of a given character. }
    IF ($did($dname,10).sel == 8) { did -ra $dname 11 Contact Us $crlf $+ $crlf $+ If you want to report errors or suggestions feel free to contact us. $+ $crlf $+ $crlf $+ We have prepared a contact form on our website: Select Help -> About and click on the button. }
    IF ($did($dname,10).sel == 9) {
      did -ra $dname 11 Credits $crlf $+ $crlf $+ This script never would have been made without the help of these marvelous people: $+ $crlf $+ $crlf $+ o Coolkill & Kintar0: $+ $crlf $+ $crlf $+ $str($chr(160),5) $+ Thank you both, you have done a great job! $+ $crlf $+ $crlf $+ $str($chr(160),5) $+ Do you really believe I will ever learn how to write Sockets?  $+ $str($chr(160),5) $+ No way! :) $+ $crlf $+ $crlf $+ $str($chr(160),5) $+ Thanks Sojourn for the hint on the downloadable conversion result. $+ $crlf $+ $crlf $+ o Parabrat: $crlf $+ $crlf $+  $str($chr(160),5) $+  Thanks for correcting my usual typos :P  $+ $crlf $+  $str($chr(160),5) $+ [Huggles dear, for your excellent work you deserve a EXTRA-LARGE box of PB Cookies!]
      did -a $dname 11 $crlf $+ $crlf $+ o And finally all the beta testers, $+ $crlf $+ $crlf $+ $str($chr(160),5) $+ who tried their best to find all my bugs I left in for them! :P $+ $crlf $+  $str($chr(160),5) $+ [Well - because I hate to see beta testers sitting around and doing nothing]  $+ $crlf $+ $crlf $+ Thank you all! $+ $crlf $+ Merlin, January 2004
      did -c $dname 11 1
    }
  }
  IF ($did == 12) {
    IF ($did($dname,12).sel == 1) {
      did -ra $dname 13 Steps to do Currency Conversion $crlf $+ Example: Euro vs US Dollar $+ $crlf $+ $crlf $+ 1. Select Group, by country or country abbreviation. $+ $crlf $+ 2. Select the source country (Euro). (Country you want to convert from) $+ $crlf $+ 3. Select the target country (US). (Country you want to convert to) $+ $crlf $+ 4. Type in the amount you want to convert in the Input box (Default: 1) $+ $crlf $+ 5. Click  [Convert]
      did -c $dname 12 1
    }
    IF ($did($dname,12).sel == 2) {
      did -ra $dname 13 Sending Data $crlf $+ $crlf $+   You can now send the conversion result to a Channel, query or DCC Chat window: $+ $crlf $+  1. Select the name of the Channel or Nick from the list in  "Send Data To" area (Note: The  [Send]  button becomes active.) $+ $crlf $+ 2. Click   [Send]. $+ $crlf $+  3. The  |Refresh]  button can be used to update the list of channels, DCC and/or Query Chat that you are in.
      did -c $dname 13 1
    }
  }
  IF ($did == 14) {
    IF ($did($dname,14).sel == 1) {
      did -ra $dname 15 Steps to do Measurement Conversion $+ $crlf $+ Example: Group Length: Inch vs Centimeter $+ $crlf $+ $crlf  $+ 1. Select Group (Length) $+ $crlf $+ 2. Select the Source (inch). (Measurement you want to convert from) $+ $crlf $+ 3. Select the Target (centimeter). (Measurement you want to convert to) $+ $crlf $+ 4. Type in the amount you want to convert in the Input box. Default is 1. $+ $crlf $+ 5. Click   [Convert].
      did -c $dname 15 1
    }
    IF ($did($dname,14).sel == 2) {
      did -ra $dname 15 Sending Data $crlf $+ $crlf $+   You can now send the conversion result to a Channel, query or DCC Chat window: $+ $crlf $+  1. Select the name of the Channel or Nick from the list in  "Send Data To" area (Note: The  [Send]  button becomes active.) $+ $crlf $+ 2. Click   [Send]. $+ $crlf $+  3. The  |Refresh]  button can be used to update the list of channels, DCC and/or Query Chat that you are in.
    }
    did -c $dname 15 1
  }
  IF ($did == 16) {
    IF ($did($dname,16).sel == 1) {
      did -ra $dname 17 Steps to do Timezone Conversion $+ $crlf $+ Example: Group Sort by Country: UTC/GMT $+ $crlf $+  (UTC = Universal Time Coordinated) $+ $crlf $+ $crlf $+ 1. Select Group (Sort by Country) $+ $crlf $+  2. Mark "Show AM/PM" if you want to see the result displayed in AM/PM format (Default is 24 Hour format) $+ $crlf $+  3. Select the Time Source (GMT/UTC). (Timezone (Country) you want to convert from) $+ $crlf $+  4. Click  [Get]. $+ $crlf $+  Note: Until you click on [Get], it always shows: Retrieving data ... Moment please  $+ $crlf $+   You see that the button is replaced by the flag (if available) of the selected country and also the box under "Result" shows the actual GMT/UTC time and below that all the data you just retrieved.
      did -c $dname 17 1
    }
    IF ($did($dname,16).sel == 2) {
      did -ra $dname 17 Sending Data $crlf $+ $crlf $+   You can now send the conversion result to a Channel, query or DCC Chat window: $+ $crlf $+  1. Select the name of the Channel or Nick from the list in  "Send Data To" area (Note: The  [Send]  button becomes active.) $+ $crlf $+ 2. Click   [Send]. $+ $crlf $+  3. The  |Refresh]  button can be used to update the list of channels, DCC and/or Query Chat you are in.
    }
    did -c $dname 17 1
  }

  IF ($did == 18) {
    IF ($did($dname,18).sel == 1) {
      did -ra $dname 19 1 Steps to do Country Code Conversion $+ $crlf $+ Example: Group Country Name: Australia New South Wales $+ $crlf $+ $crlf $+ 1. Select Group (Country Name) $+ $crlf $+ 2. Select the Source (Australia - New South Wales). (Country you want to convert from) $+ $crlf $+ Once again, we put the country's flag next to it :) $+ $crlf $+ 3. Click the [Map] button to view a map and quick facts of the selected country. (Note: You need a web browser and have to select the country from the list)
      did -c $dname 19 1
    }
    IF ($did($dname,18).sel == 2) {
      did -ra $dname 19 Sending Data $crlf $+ $crlf $+   You can now send the conversion result to a Channel, query or DCC Chat window:  $+ $crlf $+  1. Select the name of the Channel or Nick from the list in  "Send Data To" area (Note: The  [Send]  button becomes active.) $+ $crlf $+ 2. Click   [Send]. $+ $crlf $+  3. The  |Refresh]  button can be used to update the list of channels, DCC and/or Query Chat you are in.
      did -c $dname 19 1
    }
  }

  IF ($did == 20) {
    IF ($did($dname,20).sel == 1) {
      did -ra $dname 21 Steps to use the Character Map Dialog $+ $crlf $+ $crlf $+ 1. For ASCII conversions, click on Tools, then CharMap. $+ $crlf $+ 2. Clicking on the button [Upper] will toggle to the lower characters and vice versa. $+ $crlf $+ 3. You can type anything you wish in the edit field and then send it to where you want. This will be sent exactly as you typed it. $+ $crlf $+ 4. Clicking on the [Clear] button will remove it. $+ $crlf $+ 5. To see the ASCII number for a character, click on the character and look on the right side of the window for the  information (it appears in the little boxes named "Asc" and "Chr").
      did -c $dname 21 1
    }
    IF ($did($dname,20).sel == 2) {
      did -ra $dname 21  Sending can be handled in two ways: $+ $crlf $+ $crlf $+  A. To send only the ASCII character: $+ $crlf $+  1. Select the name of the Channel or Nick from the list in  "Send Data To" area (Note: The  [Send]  button becomes active.) $+ $crlf $+ 2. Click   [Send]. $+ $crlf $+  3. The  |Refresh]  button can be used to update the list of channels, DCC and/or Query Chat you are in.  $+ $crlf $+ $crlf $+  B. To send display as "ASCII character for @ is 64", select  one name out of the 'Send To' box and  click on  [Send Info To Chan] .
      did -c $dname 21 1
    }

    IF ($did($dname,20).sel == 3) {
      did -ra $dname 21 The Character Map Buttons $crlf $+ $crlf $+ [UPPER]/[LOWER] Button: Toggles between the upper and lower ASCII character set. Note that the text on the button changes $+ $crlf $+ $crlf $+ [CHAR] Buttons: The selected character will be added to the text box on top. $+ $crlf $+ $crlf $+ [Copy] Button: Will copy text in the edit box to windows clipboard. You can recall with CTRL-V. $+ $crlf $+ $crlf $+ [Clear] Button: will clear all text in the edit box. $+ $crlf $+ $crlf $+ [Bold] Button: The following text will appear in bold. $+ $crlf $+ $crlf $+ [Uline] Button: The following text appears underlined. $+ $crlf $+ $crlf $+ [Rev] Button: The following text appears reversed. $+ $crlf $+ NOTE: Another click on [Bold], [Uline] or [Rev] will Un-bold, Un-Underline and Un-Reverse it.
      did -c $dname 21 1
    }
  }
  IF ($did == 22) {
    did -r $dname 23
    IF ($did($dname,22).sel == 1) {
      did -ra $dname 23 Introduction into Timezone Abbreviations $+ $crlf $+ $crlf
      did -a $dname 23 UTC (Universal Time Coordinated) defines the universal time zone, which all the other time zones are relative to. It observes no daylight saving time (summer time). UTC is sometimes adjusted with "leap seconds" so that the difference between UTC time and the Earth's rotational time does not exceed 0.9 seconds.
      did -a $dname 23 The offset between UTC and TAI (International Atomic Time) is always an integral number of seconds. The last leap second added to UTC was on December 31th 1998 at 23:59:60 UTC (the last minute of 1998 had one extra second).
      did -c $dname 23 1
      halt
    }
    ELSE {
      IF ($did($dname,22).sel isnum 2-4) {
        did -ra $dname 23 Standards: $did($dname,22).seltext $+ $crlf  $+ $crlf
        did -a $dname 23 $readini($cs3ini,tzstd,$did($dname,22).seltext)
        did -c $dname 23 1
        halt
      }
      IF ($did($dname,22).sel isnum 5-15) {
        did -ra $dname 23 Europe: $did($dname,22).seltext $+ $crlf  $+ $crlf
        did -a $dname 23 $readini($cs3ini,tzeu,$did($dname,22).seltext)
        did -c $dname 23 1
        halt
      }
      IF ($did($dname,22).sel isnum 16-32) {
        did -ra $dname 23 USA and Canada: $did($dname,22).seltext $+ $crlf  $+ $crlf
        did -a $dname 23 $readini($cs3ini,tzusca,$did($dname,22).seltext)
        did -c $dname 23 1
        halt
      }
      IF ($did($dname,22).sel isnum 33-37) {
        did -ra $dname 23 Australia: $did($dname,22).seltext $+ $crlf  $+ $crlf
        did -a $dname 23 $readini($cs3ini,tzau,$did($dname,22).seltext)
        did -a $dname 23 $crlf  $+ $crlf $+ (Often, AST, CST and WST are used instead, but these time zones abbreviations could be confusing, because they are used in North America as well).
        did -c $dname 23 1
      }
    }
  }
  IF ($did == 100) {
    dialog -x $dname
  }
}
